function ubicar()
{
var paypal="PAYPAL";
//var paypal2="PAYPAL / MERRIL LYNCH";
var paypal3="PAYPAL / CUENTA SUIZA";
var banco="BANCO";
var efectivo="EFECTIVO";
var terminal="TERMINAL";
var op=document.createElement("option");
var op1=document.createElement("option");
var op2=document.createElement("option");
var op3=document.createElement("option");
var fpago = document.forma.formapago.options.length;
var div = document.getElementById('fact');
var div2 = document.getElementById('tdpag');
var div3 = document.getElementById('paypal');
var div4 = document.getElementById('efc');
var ub=document.forma.ubiact.value;
var fc=document.forma.factura;
var tp=document.forma.tipopago;

 if(ub=="MEXICO")
 {
 for(i=0;i<fc.length;i++)
    {
	 if(i!=(fc.length -1))
	 {
	 fc[i].checked=0;
     }	 
	}
for(i=0;i<tp.length;i++)
    {
	 tp[i].checked=0;	
	}	
  div.style.display='none';
  div2.style.display='none';
  div3.style.display='none';
  div4.style.display='none';
  for(i=1;i<=fpago;i++)
     {  
      document.forma.formapago.options[1]=null;
     }	 
  op= new Option(banco,banco,"","");	 
  document.forma.formapago.options[1]=op;
  op1=new Option(paypal,paypal,"","");
  document.forma.formapago.options[2]=op1;
  op2=new Option(efectivo,efectivo,"","");
  document.forma.formapago.options[3]=op2;
  op3=new Option(terminal,terminal,"","");
  document.forma.formapago.options[4]=op3;
  data=""; 
  $("#info").html(data);
 }
 else
 {
  div.style.display='none';
 }
 if(ub=="AMERICA")
 {
  for(i=0;i<fc.length;i++)
    {
	 if(i!=(fc.length -1))
	 {
	 fc[i].checked=0;
     }	 
	}
for(i=0;i<tp.length;i++)
    {
	 tp[i].checked=0;	
	}	
  div.style.display='none';
  div2.style.display='none';
  div3.style.display='none';
  div4.style.display='none';
  long=fpago+1;
  for(i=1;i<=fpago;i++)
     {  
      document.forma.formapago.options[1]=null;
     }	 
  op1=new Option("PAYPAL","PAYPAL","","");
  document.forma.formapago.options[1]=op1; 
  op2=new Option("MERRIL LYNCH","MERRIL LYNCH","","");
  document.forma.formapago.options[2]=op2; 
  data="";
  $("#info").html(data);
 }
 if(ub=="EUROPARESTOMUNDO")
 {
  for(i=0;i<fc.length;i++)
    {
	 if(i!=(fc.length -1))
	 {
	 fc[i].checked=0;
     }	 
	}
for(i=0;i<tp.length;i++)
    {
	 tp[i].checked=0;	
	}	
  div.style.display='none';
  div2.style.display='none';
  div3.style.display='none';
  long=fpago+1;
  for(i=1;i<=fpago;i++)
     {  
      document.forma.formapago.options[1]=null;
     }	 
  op1=new Option(paypal3,paypal3,"","");
  document.forma.formapago.options[1]=op1;
  data="";
  $("#info").html(data);
 }
}
function opciones()
{
 var ub=document.forma.ubiact.value;
 var fpag=document.forma.formapago.value;
 var div = document.getElementById('tdpag');
 var div2 = document.getElementById('paypal');
 var div3 = document.getElementById('fact');
 var monto = document.forma.monto.value;
 var fi = document.forma.fini.value;
 var ff = document.forma.ffin.value;
 var prop = document.forma.deparprop.value;
 var clave = document.forma.clavedep.value;
 var mpay=document.paypal.amount;
 var despay=document.paypal.item_name;
 var desc=prop+" "+clave+"\nde: "+fi+" a "+ff;
 var fc=document.forma.factura;
 var tp=document.forma.tipopago;
 var div4 = document.getElementById('efc');
 
 for(i=0;i<fc.length;i++)
    {
	 if(i!=(fc.length-1))
	 {
	 fc[i].checked=0;
     }	 
	}
for(i=0;i<tp.length;i++)
    {
	 tp[i].checked=0;	
	}	
  if(ub=="MEXICO" && fpag=="BANCO")
    {
	 div.style.display='';
	 div3.style.display='';
	 div4.style.display='none';
	 div2.style.display='none';
	}
   else
    {
	 div.style.display='none';
	 div3.style.display='none';
	 div4.style.display='none';
	 if(ub=="MEXICO" && fpag=="PAYPAL")
       {
	    data="";
        $("#info").html(data);
		if(monto!="")
		 {
		 despay.value=desc;
		 mpay.value=monto;
	     div2.style.display='none';
		 }
		 else
		 {
		  alert("Primero Asigne un Departamento");
		 }
	   }
	  else
	   {
	    div2.style.display='none';
		if(ub=="MEXICO" && fpag=="EFECTIVO")
		 {
		  data="";
          $("#info").html(data);
		  div.style.display='none';
	      div3.style.display='none';
	      div2.style.display='none';
	      div4.style.display='';
		 }
		 else
		 {
		    if((ub=="AMERICA" && (fpag=="PAYPAL" || fpag=="MERRIL LYNCH") ) || (ub=="EUROPARESTOMUNDO" && fpag=="PAYPAL / CUENTA SUIZA"))
                {
	            div.style.display='none';
	            div3.style.display='none';
				div4.style.display='none';
	            data="";
                $("#info").html(data);
	           if(monto!="") 
		         {
				  despay.value=desc;
				  mpay.value=monto;
	              div2.style.display='none';
		         }
				 else
				 {
				  alert("Primero Asigne un Departamento");
				 }
                }	
		 }
	   }
	}
}
var ok=0;
function opbanco(val)
{
var tipomoneda=document.forma.tipomoneda;
var invitado=document.forma.invitado; 
var fi=document.forma.fin.value; 
var ff=document.forma.ffi.value;
var prop=document.forma.deparprop.value;
var clav=document.forma.clavedep.value;
var mto=document.forma.monto;
var vpeex=document.forma.persext.value;
var vpeexcam=document.forma.perextcama.value;
var esto=document.forma.estmnto2; 
var camae=document.forma.camaex2;
var cun=document.forma.cuna2;
var mkta=document.forma.mascota2;
var fc=document.forma.factura;
var tp=document.forma.tipopago;
var sbt=document.forma.subtotal2;
var iva=document.forma.iva2;
var vtot=document.forma.total2;
var depos=document.forma.deposito;
var dolar=document.forma.dolar.value;
 for(i=0;i<fc.length;i++)
    {
	 if(fc[i].checked)
        {
         fact=fc[i].value;
		}		
	}
  for(i=0;i<tp.length;i++)
    {
	 if(tp[i].checked)
        {
         val=tp[i].value;
		}		
	}
prop=prop.replace(/ /i, "&#32;");	
	if(fact=="CON FACTURA")
	{       
	 if(val=="DEPOSITO")
        {
         var data="<table align='center' style='font-size:11px;'><tr><td align='center'>Desarrolladora Inmobiliaria Canik S.A. de C.V.</td></tr><tr><td align='center'>IXE Banco CTA: 13674633 Deposito</td></tr><tr><td align='center'>Clave Interbancaria: 0321 8000 0136 7463 33</td></tr></table>";//informacion
         $("#info").html(data);
        }
      else if(val=="TRANSFERENCIA")
        {
         var data="<table align='center' style='font-size:11px;'><tr><td align='center'>Desarrolladora Inmobiliaria Canik S.A. de C.V.</td></tr><tr><td align='center'>IXE Banco CTA: 13674633 Deposito</td></tr><tr><td align='center'>Clave Interbancaria: 0321 8000 0136 7463 33</td></tr></table>";//informacion
         $("#info").html(data);
        }
      else if(val=="CHEQUE")
        {
         var data="<table align='center' style='font-size:11px;'><tr><td align='center'>Desarrolladora Inmobiliaria Canik S.A. de C.V.</td></tr><tr><td align='center'>IXE Banco CTA: 13674633 Deposito</td></tr><tr><td align='center'>Clave Interbancaria: 0321 8000 0136 7463 33</td></tr></table>";//informacion
         $("#info").html(data);
        }
	         if(ok==0||ok==1)
			 {
	         mtos=mto.value*(dolar*1);
			 peexcam=vpeexcam*(dolar*1);
			 peex=vpeex*(dolar*1);
			 estos=esto.value*(dolar*1);
			 camaes=camae.value*(dolar*1);
			 deposmx=depos.value*(dolar*1);
			 cuns=cun.value*(dolar*1);
			 mktas=mkta.value*(dolar*1);
			 sbtmx=mtos+peexcam+peex+estos+camaes+cuns+mktas;
			 sbtmx=sbtmx.toFixed(2);
			 ivamx=sbtmx*0.16;
			 ivamx=ivamx.toFixed(2);
			 iva.value=ivamx;
			 totmx=(deposmx+(sbtmx*1)+(ivamx*1))*0.5;
		     totmx=totmx.toFixed(2);
		     totmx=deposmx+(sbtmx*1)+(ivamx*1);
		     totmx=totmx.toFixed(2);		 
             ok=2;			 
			 }
			 mtos=mtos.toFixed(2);
			 deposmx=deposmx.toFixed(2);
			 peexcam=peexcam.toFixed(2);
			 peex=peex.toFixed(2);
			 estos=estos.toFixed(2);
			 camaes=camaes.toFixed(2);
			 cuns=cuns.toFixed(2);
			 mktas=mktas.toFixed(2);
     
		datos1="<table width='100%' style='font-family: Lucida Grande, Lucida Sans, Arial, sans-serif; font-size: 1em;text-align:right'><tr><td align='center' colspan='2'>Fecha:</td><td align='center'>Propiedad:</td><td align='center'>Clave:</td><td align='center'>Monto MXN:</td><td align='right'>Deposito MXN:</td></tr><tr><td colspan='2'><input id='fin' class='input-text required' name='fini' type='text' value="+ fi +" readonly onFocus='foco(this);' onBlur='no_foco(this);'> - <input id='ffi' class='input-text required' name='ffin' type='text' value="+ ff +" onFocus='foco(this);' onBlur='no_foco(this);' readonly></td><td><input type='text' name='deparprop' id='deparprop' size='20' value="+ prop +" onFocus='foco(this);' onBlur='no_foco(this);' readonly></td><td><input type='text' name='clavedep' id='clavedep' size='3' value="+ clav +" onFocus='foco(this);' onBlur='no_foco(this);' readonly></td><td><input type='text' name='monto' id='monto' size='3' onFocus='foco(this);' onBlur='no_foco(this);' value="+ mtos +" readonly></td><td><input type='text' name='deposito' id='deposito' style='text-align:right' size='5' onFocus='foco(this);' value="+ deposmx +" onBlur='no_foco(this);' readonly></td></tr></table>";
		
		datos2= "<table width='100%' style='font-family: Lucida Grande, Lucida Sans, Arial, sans-serif; font-size: 1em;text-align:right'><tr><td>Persona extra con cama:</td><td>Persona extra:</td><td>Estacionamiento:</td><td>Cama extra:</td><td>Cuna:</td><td>Mascota:</td><td>Subtotal MXN:</td></tr><tr><td><input type='text' name='perextcama' id='perextcama' size='3' value="+peexcam+" readonly onFocus='foco(this);' onBlur='no_foco(this);' /></td><td><input type='text' name='persext' id='persext' size='3' value="+peex+" readonly onFocus='foco(this);' onBlur='no_foco(this);' /></td><td><input type='text' name='estmnto2' id='estmnto2' size='3' value="+estos+" readonly onFocus='foco(this);' onBlur='no_foco(this);' /></td><td><input type='text' name='camaex2' id='camaex2' size='3' value="+camaes+" readonly onFocus='foco(this);' onBlur='no_foco(this);' /></td><td><input type='text' name='cuna2' id='cuna2' size='3' value="+cuns+" readonly onFocus='foco(this);' onBlur='no_foco(this);' /></td><td><input type='text' name='mascota2' id='mascota2' size='3' value="+mktas+" readonly onFocus='foco(this);' onBlur='no_foco(this);' /></td><td><input type='text' name='subtotal2' id='subtotal2' style='text-align:right' size='5' value="+sbtmx+" readonly onFocus='foco(this);' onBlur='no_foco(this);' /></td></tr></table>";
		
		datos3="<table width='100%' style='font-family: Lucida Grande, Lucida Sans, Arial, sans-serif; font-size: 1em;text-align:right'><td>IVA MXN: <input type='text' name='iva2' id='iva2' style='text-align:right' size='5' value="+ivamx+" readonly onFocus='foco(this);' onBlur='no_foco(this);' /></td></table>";
		
		datos4="<table width='100%' style='font-family: Lucida Grande, Lucida Sans, Arial, sans-serif; font-size: 1em;text-align:right'><td>TOTAL MXN: <input type='text' name='total2' style='text-align:right' id='total2' size='5' value="+totmx+" readonly onFocus='foco(this);' onBlur='no_foco(this);'/></td></table>";
		
        $("#tabladatos1").html(datos1);
		$("#tabladatos2").html(datos2);
		$("#tabladatos3").html(datos3);
		$("#tabladatos4").html(datos4);
		tipomoneda.value="MXN";
	}	
	
	if(fact=="SIN FACTURA")
	{    
	  if(val=="DEPOSITO")
        {
         var data="<table align='center' style='font-size:11px;'><tr><td align='center'>José Alberto Ávila</td></tr><tr><td align='center'>BANCO HSBC</td></tr><tr><td align='center'>4021249569</td></tr></table>";//informacion
         $("#info").html(data); 
        }
      else if(val=="TRANSFERENCIA")
        {
         var data="<table align='center' style='font-size:11px;'><tr><td align='center'>Monik María Rosales Morfin</td></tr><tr><td align='center'>IXE Banco</td></tr><tr><td align='center'>Clave Interbancaria: 0321 8000 01 12816698</td></tr></table>";//informacion
         $("#info").html(data);
        }
      else if(val=="CHEQUE")
        {
         var data="<table align='center' style='font-size:11px;'><tr><td align='center'>Moras Suites</td><td>(Dulce Maria Avila Sanchez)</td></tr><tr><td align='center'>Casa Tistik</td><td>(Dulce Maria Avila Sanchez)</td></tr><tr><td align='center'>Casa Caracol</td><td>(Monik María Rosales Morfin)</td></tr><tr><td>Torre Sagredo</td><td>(Monik María Rosales Morfin)</td></tr><tr><td>TorrePeriferico</td><td>(José Alberto Ávila Sanchez)</td></tr></table>";//informacion
         $("#info").html(data);
        }
	        if(ok==2)
			 {
	         mtos=mto.value/(dolar*1);
			 peexcam=vpeexcam/(dolar*1);
			 peex=vpeex/(dolar*1);
			 estos=esto.value/(dolar*1);
			 camaes=camae.value/(dolar*1);
			 deposmx=depos.value/(dolar*1);
			 cuns=cun.value/(dolar*1);
			 mktas=mkta.value/(dolar*1);
			 sbtmx=mtos+peexcam+peex+estos+camaes+cuns+mktas;
			 sbtmx=sbtmx.toFixed(2);
			 ivamx=0;
			 iva.value=ivamx;
		     totmx=deposmx+(sbtmx*1)+ivamx;
			 totmx=totmx.toFixed(2);
			 ok=1;
			 }	
             mtos=mtos.toFixed(2);
			 deposmx=deposmx.toFixed(2);
			 peexcam=peexcam.toFixed(2);
			 peex=peex.toFixed(2);
			 estos=estos.toFixed(2);
			 camaes=camaes.toFixed(2);
			 cuns=cuns.toFixed(2);
			 mktas=mktas.toFixed(2);			 
  
		datos1="<table width='100%' style='font-family: Lucida Grande, Lucida Sans, Arial, sans-serif; font-size: 1em;text-align:right'><tr><td align='center' colspan='2'>Fecha:</td><td align='center'>Propiedad:</td><td align='center'>Clave:</td><td align='center'>Monto USD:</td><td align='right'>Deposito USD:</td></tr><tr><td colspan='2'><input id='fin' class='input-text required' name='fini' type='text' value="+ fi +" readonly onFocus='foco(this);' onBlur='no_foco(this);'> - <input id='ffi' class='input-text required' name='ffin' type='text' value="+ ff +" onFocus='foco(this);' onBlur='no_foco(this);' readonly></td><td><input type='text' name='deparprop' id='deparprop' size='20' value="+ prop +" onFocus='foco(this);' onBlur='no_foco(this);' readonly></td><td><input type='text' name='clavedep' id='clavedep' size='3' value="+ clav +" onFocus='foco(this);' onBlur='no_foco(this);' readonly></td><td><input type='text' name='monto' id='monto' size='3' onFocus='foco(this);' onBlur='no_foco(this);' value="+ mtos +" readonly></td><td><input type='text' name='deposito' id='deposito' style='text-align:right' size='5' onFocus='foco(this);' value="+ deposmx +" onBlur='no_foco(this);' readonly></td></tr></table>";
		
		datos2= "<table width='100%' style='font-family: Lucida Grande, Lucida Sans, Arial, sans-serif; font-size: 1em;text-align:right'><tr><td>Persona extra con cama:</td><td>Persona extra:</td><td>Estacionamiento:</td><td>Cama extra:</td><td>Cuna:</td><td>Mascota:</td><td>Subtotal USD:</td></tr><tr><td><input type='text' name='perextcama' id='perextcama' size='3' value="+peexcam+" readonly onFocus='foco(this);' onBlur='no_foco(this);' /></td><td><input type='text' name='persext' id='persext' size='3' value="+peex+" readonly onFocus='foco(this);' onBlur='no_foco(this);' /></td><td><input type='text' name='estmnto2' id='estmnto2' size='3' value="+estos+" readonly onFocus='foco(this);' onBlur='no_foco(this);' /></td><td><input type='text' name='camaex2' id='camaex2' size='3' value="+camaes+" readonly onFocus='foco(this);' onBlur='no_foco(this);' /></td><td><input type='text' name='cuna2' id='cuna2' size='3' value="+cuns+" readonly onFocus='foco(this);' onBlur='no_foco(this);' /></td><td><input type='text' name='mascota2' id='mascota2' size='3' value="+mktas+" readonly onFocus='foco(this);' onBlur='no_foco(this);' /></td><td><input type='text' name='subtotal2' id='subtotal2' style='text-align:right' size='5' value="+sbtmx+" readonly onFocus='foco(this);' onBlur='no_foco(this);' /></td></tr></table>";
		
		datos3="<input type='hidden' name='iva2' id='iva2' size='5' value="+ivamx+" readonly onFocus='foco(this);' onBlur='no_foco(this);'/>";
		
		datos4="<table width='100%' style='font-family: Lucida Grande, Lucida Sans, Arial, sans-serif; font-size: 1em;text-align:right'><td>TOTAL USD: <input type='text' name='total2' id='total2' style='text-align:right' size='5' value="+totmx+" readonly onFocus='foco(this);' onBlur='no_foco(this);'/></td></table>";
		
        $("#tabladatos1").html(datos1);
		$("#tabladatos2").html(datos2);
		$("#tabladatos3").html(datos3);
		$("#tabladatos4").html(datos4);
		tipomoneda.value="USD";
	}	

}

function opbanco2()
{
var fc=document.forma.factura;
var tp=document.forma.tipopago;
 for(i=0;i<fc.length;i++)
    {
	 if(fc[i].checked)
        {
         fact=fc[i].value;
		}		
	}
  for(i=0;i<tp.length;i++)
    {
	 if(tp[i].checked)
        {
         val=tp[i].value;
		}		
	}
	if(fact=="CON FACTURA")
	{ 	
	 if(val=="DEPOSITO")
        {
         var data="<table align='center' style='font-size:11px;'><tr><td align='center'>Desarrolladora Inmobiliaria Canik S.A. de C.V.</td></tr><tr><td align='center'>IXE Banco CTA: 13674633 Deposito</td></tr><tr><td align='center'>Clave Interbancaria: 0321 8000 0136 7463 33</td></tr></table>";//informacion
         $("#info").html(data);
        }
      else if(val=="TRANSFERENCIA")
        {
         var data="<table align='center' style='font-size:11px;'><tr><td align='center'>Desarrolladora Inmobiliaria Canik S.A. de C.V.</td></tr><tr><td align='center'>IXE Banco CTA: 13674633 Deposito</td></tr><tr><td align='center'>Clave Interbancaria: 0321 8000 0136 7463 33</td></tr></table>";//informacion
         $("#info").html(data);
        }
      else if(val=="CHEQUE")
        {
         var data="<table align='center' style='font-size:11px;'><tr><td align='center'>Desarrolladora Inmobiliaria Canik S.A. de C.V.</td></tr><tr><td align='center'>IXE Banco CTA: 13674633 Deposito</td></tr><tr><td align='center'>Clave Interbancaria: 0321 8000 0136 7463 33</td></tr></table>";//informacion
         $("#info").html(data);
        }
	 ok=2;	
	}	
	
	if(fact=="SIN FACTURA")
	{    
	  if(val=="DEPOSITO")
        {
         var data="<table align='center' style='font-size:11px;'><tr><td align='center'>José Alberto Ávila</td></tr><tr><td align='center'>BANCO HSBC</td></tr><tr><td align='center'>4021249569</td></tr></table>";//informacion
         $("#info").html(data); 
        }
      else if(val=="TRANSFERENCIA")
        {
         var data="<table align='center' style='font-size:11px;'><tr><td align='center'>Monik María Rosales Morfin</td></tr><tr><td align='center'>IXE Banco</td></tr><tr><td align='center'>Clave Interbancaria: 0321 8000 01 12816698</td></tr></table>";//informacion
         $("#info").html(data);
        }
      else if(val=="CHEQUE")
        {
         var data="<table align='center' style='font-size:11px;'><tr><td align='center'>Moras Suites</td><td>(Dulce Maria Avila Sanchez)</td></tr><tr><td align='center'>Casa Tistik</td><td>(Dulce Maria Avila Sanchez)</td></tr><tr><td align='center'>Casa Caracol</td><td>(Monik María Rosales Morfin)</td></tr><tr><td>Torre Sagredo</td><td>(Monik María Rosales Morfin)</td></tr><tr><td>TorrePeriferico</td><td>(José Alberto Ávila Sanchez)</td></tr></table>";//informacion
         $("#info").html(data);
        } 
	 ok=1;	
	}	
}

function opbanco3(val)
{
var tipomoneda=document.forma.tipomoneda;
var invitado=document.forma.invitado; 
var fi=document.forma.fin.value; 
var ff=document.forma.ffi.value;
var prop=document.forma.deparprop.value;
var clav=document.forma.clavedep.value;
var mto=document.forma.monto;
var vpeex=document.forma.persext.value;
var vpeexcam=document.forma.perextcama.value;
var esto=document.forma.estmnto2; 
var camae=document.forma.camaex2;
var cun=document.forma.cuna2;
var mkta=document.forma.mascota2;
var tp=document.forma.tipopago;
var sbt=document.forma.subtotal2;
var iva=document.forma.iva2;
var vtot=document.forma.total2;
var depos=document.forma.deposito;
var dolar=document.forma.dolar.value;
var e=document.forma.efectivo;

 for(i=0;i<e.length;i++)
    {
	 if(e[i].checked)
        {
         evo=e[i].value;
		}		
	}
  for(i=0;i<tp.length;i++)
    {
	 if(tp[i].checked)
        {
         val=tp[i].value;
		}		
	}
prop=prop.replace(/ /i, "&#32;");	
	if(evo=="PESOS")
	{       
	         if(ok==0||ok==1)
			 {
	         mtos=mto.value*(dolar*1);
			 peexcam=vpeexcam*(dolar*1);
			 peex=vpeex*(dolar*1);
			 estos=esto.value*(dolar*1);
			 camaes=camae.value*(dolar*1);
			 deposmx=depos.value*(dolar*1);
			 cuns=cun.value*(dolar*1);
			 mktas=mkta.value*(dolar*1);
			 sbtmx=mtos+peexcam+peex+estos+camaes+cuns+mktas;
			 sbtmx=sbtmx.toFixed(2);
			 //ivamx=sbtmx*0.16;
			 //ivamx=ivamx.toFixed(2);
			 ivamx=0;
			 iva.value=ivamx;
			 totmx=(deposmx+(sbtmx*1)+(ivamx*1))*0.5;
		     totmx=totmx.toFixed(2);
		     totmx=deposmx+(sbtmx*1)+(ivamx*1);
		     totmx=totmx.toFixed(2);		 
             ok=2;			 
			 }
			 mtos=mtos.toFixed(2);
			 deposmx=deposmx.toFixed(2);
			 peexcam=peexcam.toFixed(2);
			 peex=peex.toFixed(2);
			 estos=estos.toFixed(2);
			 camaes=camaes.toFixed(2);
			 cuns=cuns.toFixed(2);
			 mktas=mktas.toFixed(2);
     
		datos1="<table width='100%' style='font-family: Lucida Grande, Lucida Sans, Arial, sans-serif; font-size: 1em;text-align:right'><tr><td align='center' colspan='2'>Fecha:</td><td align='center'>Propiedad:</td><td align='center'>Clave:</td><td align='center'>Monto MXN:</td><td align='right'>Deposito MXN:</td></tr><tr><td colspan='2'><input id='fin' class='input-text required' name='fini' type='text' value="+ fi +" readonly onFocus='foco(this);' onBlur='no_foco(this);'> - <input id='ffi' class='input-text required' name='ffin' type='text' value="+ ff +" onFocus='foco(this);' onBlur='no_foco(this);' readonly></td><td><input type='text' name='deparprop' id='deparprop' size='20' value="+ prop +" onFocus='foco(this);' onBlur='no_foco(this);' readonly></td><td><input type='text' name='clavedep' id='clavedep' size='3' value="+ clav +" onFocus='foco(this);' onBlur='no_foco(this);' readonly></td><td><input type='text' name='monto' id='monto' size='3' onFocus='foco(this);' onBlur='no_foco(this);' value="+ mtos +" readonly></td><td><input type='text' name='deposito' id='deposito' style='text-align:right' size='5' onFocus='foco(this);' value="+ deposmx +" onBlur='no_foco(this);' readonly></td></tr></table>";
		
		datos2= "<table width='100%' style='font-family: Lucida Grande, Lucida Sans, Arial, sans-serif; font-size: 1em;text-align:right'><tr><td>Persona extra con cama:</td><td>Persona extra:</td><td>Estacionamiento:</td><td>Cama extra:</td><td>Cuna:</td><td>Mascota:</td><td>Subtotal MXN:</td></tr><tr><td><input type='text' name='perextcama' id='perextcama' size='3' value="+peexcam+" readonly onFocus='foco(this);' onBlur='no_foco(this);' /></td><td><input type='text' name='persext' id='persext' size='3' value="+peex+" readonly onFocus='foco(this);' onBlur='no_foco(this);' /></td><td><input type='text' name='estmnto2' id='estmnto2' size='3' value="+estos+" readonly onFocus='foco(this);' onBlur='no_foco(this);' /></td><td><input type='text' name='camaex2' id='camaex2' size='3' value="+camaes+" readonly onFocus='foco(this);' onBlur='no_foco(this);' /></td><td><input type='text' name='cuna2' id='cuna2' size='3' value="+cuns+" readonly onFocus='foco(this);' onBlur='no_foco(this);' /></td><td><input type='text' name='mascota2' id='mascota2' size='3' value="+mktas+" readonly onFocus='foco(this);' onBlur='no_foco(this);' /></td><td><input type='text' name='subtotal2' id='subtotal2' style='text-align:right' size='5' value="+sbtmx+" readonly onFocus='foco(this);' onBlur='no_foco(this);' /></td></tr></table>";
		
		datos3="<table width='100%' style='font-family: Lucida Grande, Lucida Sans, Arial, sans-serif; font-size: 1em;text-align:right'><td>IVA MXN: <input type='hidden' name='iva2' id='iva2' style='text-align:right' size='5' value="+ivamx+" readonly onFocus='foco(this);' onBlur='no_foco(this);' /></td></table>";
		
		datos4="<table width='100%' style='font-family: Lucida Grande, Lucida Sans, Arial, sans-serif; font-size: 1em;text-align:right'><td>TOTAL MXN: <input type='text' name='total2' style='text-align:right' id='total2' size='5' value="+totmx+" readonly onFocus='foco(this);' onBlur='no_foco(this);'/></td></table>";
		
        $("#tabladatos1").html(datos1);
		$("#tabladatos2").html(datos2);
		//$("#tabladatos3").html(datos3);
		$("#tabladatos4").html(datos4);
		tipomoneda.value="MXN";
	}	
	
	if(evo=="USD")
	{    
	        if(ok==2)
			 {
	         mtos=mto.value/(dolar*1);
			 peexcam=vpeexcam/(dolar*1);
			 peex=vpeex/(dolar*1);
			 estos=esto.value/(dolar*1);
			 camaes=camae.value/(dolar*1);
			 deposmx=depos.value/(dolar*1);
			 cuns=cun.value/(dolar*1);
			 mktas=mkta.value/(dolar*1);
			 sbtmx=mtos+peexcam+peex+estos+camaes+cuns+mktas;
			 sbtmx=sbtmx.toFixed(2);
			 ivamx=0;
			 iva.value=ivamx;
		     totmx=deposmx+(sbtmx*1)+ivamx;
			 totmx=totmx.toFixed(2);
			 ok=1;
			 }	
             mtos=mtos.toFixed(2);
			 deposmx=deposmx.toFixed(2);
			 peexcam=peexcam.toFixed(2);
			 peex=peex.toFixed(2);
			 estos=estos.toFixed(2);
			 camaes=camaes.toFixed(2);
			 cuns=cuns.toFixed(2);
			 mktas=mktas.toFixed(2);			 
  
		datos1="<table width='100%' style='font-family: Lucida Grande, Lucida Sans, Arial, sans-serif; font-size: 1em;text-align:right'><tr><td align='center' colspan='2'>Fecha:</td><td align='center'>Propiedad:</td><td align='center'>Clave:</td><td align='center'>Monto USD:</td><td align='right'>Deposito USD:</td></tr><tr><td colspan='2'><input id='fin' class='input-text required' name='fini' type='text' value="+ fi +" readonly onFocus='foco(this);' onBlur='no_foco(this);'> - <input id='ffi' class='input-text required' name='ffin' type='text' value="+ ff +" onFocus='foco(this);' onBlur='no_foco(this);' readonly></td><td><input type='text' name='deparprop' id='deparprop' size='20' value="+ prop +" onFocus='foco(this);' onBlur='no_foco(this);' readonly></td><td><input type='text' name='clavedep' id='clavedep' size='3' value="+ clav +" onFocus='foco(this);' onBlur='no_foco(this);' readonly></td><td><input type='text' name='monto' id='monto' size='3' onFocus='foco(this);' onBlur='no_foco(this);' value="+ mtos +" readonly></td><td><input type='text' name='deposito' id='deposito' style='text-align:right' size='5' onFocus='foco(this);' value="+ deposmx +" onBlur='no_foco(this);' readonly></td></tr></table>";
		
		datos2= "<table width='100%' style='font-family: Lucida Grande, Lucida Sans, Arial, sans-serif; font-size: 1em;text-align:right'><tr><td>Persona extra con cama:</td><td>Persona extra:</td><td>Estacionamiento:</td><td>Cama extra:</td><td>Cuna:</td><td>Mascota:</td><td>Subtotal USD:</td></tr><tr><td><input type='text' name='perextcama' id='perextcama' size='3' value="+peexcam+" readonly onFocus='foco(this);' onBlur='no_foco(this);' /></td><td><input type='text' name='persext' id='persext' size='3' value="+peex+" readonly onFocus='foco(this);' onBlur='no_foco(this);' /></td><td><input type='text' name='estmnto2' id='estmnto2' size='3' value="+estos+" readonly onFocus='foco(this);' onBlur='no_foco(this);' /></td><td><input type='text' name='camaex2' id='camaex2' size='3' value="+camaes+" readonly onFocus='foco(this);' onBlur='no_foco(this);' /></td><td><input type='text' name='cuna2' id='cuna2' size='3' value="+cuns+" readonly onFocus='foco(this);' onBlur='no_foco(this);' /></td><td><input type='text' name='mascota2' id='mascota2' size='3' value="+mktas+" readonly onFocus='foco(this);' onBlur='no_foco(this);' /></td><td><input type='text' name='subtotal2' id='subtotal2' style='text-align:right' size='5' value="+sbtmx+" readonly onFocus='foco(this);' onBlur='no_foco(this);' /></td></tr></table>";
		
		datos3="<input type='hidden' name='iva2' id='iva2' size='5' value="+ivamx+" readonly onFocus='foco(this);' onBlur='no_foco(this);'/>";
		
		datos4="<table width='100%' style='font-family: Lucida Grande, Lucida Sans, Arial, sans-serif; font-size: 1em;text-align:right'><td>TOTAL USD: <input type='text' name='total2' id='total2' style='text-align:right' size='5' value="+totmx+" readonly onFocus='foco(this);' onBlur='no_foco(this);'/></td></table>";
		
        $("#tabladatos1").html(datos1);
		$("#tabladatos2").html(datos2);
		$("#tabladatos3").html(datos3);
		$("#tabladatos4").html(datos4);
		tipomoneda.value="USD";
	}	

}

function infomail()
{
var infad = document.forma.infoadicional.value;
var fi=document.forma.fin.value; 
var ff=document.forma.ffi.value;
var prop=document.forma.deparprop.value;
var clav=document.forma.clavedep.value;
var mto=document.forma.monto;
var npers=document.forma.npers.value;
var nptot=parseInt(npers);
var vpeex=document.forma.persext;
var esto=document.forma.estmnto2; 
var camae=document.forma.camaex2;
var cun=document.forma.cuna2;
var inv=document.forma.invitado.value;
var mkta=document.forma.mascota2;
var ub2=document.forma.ubiact.value;
var fpag2=document.forma.formapago.value;
var fc2=document.forma.factura;
var tp2=document.forma.tipopago;
var sbt=document.forma.subtotal2;
var iva=document.forma.iva2;
var vtot=document.forma.total2;
var depos=document.forma.deposito;
var deposusd=depos.value;
var	sbtusd=sbt.value;
var ivausd=0;
var	totusd=vtot.value;
var email=document.forma.mail.value;
var nom=document.forma.nombre.value;
var ap=document.forma.ap.value;
var am=document.forma.am.value;
var nomb=nom+" "+ap+" "+am;
if(prop!=""){
  if(ub2=="MEXICO" && fpag2=="BANCO")
    {
	 for(i=0;i<fc2.length;i++)
        {
	    if(fc2[i].checked)
            {
             fact2=fc2[i].value;
		    }		
	    }
	for(i=0;i<tp2.length;i++)
        {
	    if(tp2[i].checked)
            {
             val2=tp2[i].value;
		    }		
	    }  	
	    if(fact2=="CON FACTURA")
            {
			 mtos=mto.value;
			 vptot=vpeex.value;
			 estos=esto.value;
			 camaes=camae.value;
			 deposmx=depos.value;
			 cuns=cun.value;
			 mktas=mkta.value;
			 sbtmx=sbt.value;
			 ivamx=iva.value;
			 totmx=vtot.value;
			 datos="<table align='center' style='font-size:11px;'><tr><td align='center'>Desarrolladora Inmobiliaria Canik S.A. de C.V.</td></tr><tr><td align='center'>IXE Banco CTA: 13674633 Deposito</td></tr><tr><td align='center'>Clave Interbancaria: 0321 8000 0136 7463 33</td></tr></table>";
             if(val2=="DEPOSITO")
                {
				 $.post("enviainfo.php", { fini:fi,ffin:ff,propiedad:prop,clave:clav,monto:mtos,noper:nptot,totpers:vptot,estmto:estos,camaex:camaes,cuna:cuns,mascota:mktas,subtotal:sbtmx,deposito:deposmx,iva:ivamx,total:totmx,informacion:datos,tipopago:val2,ubicacion:ub2,nombre:nomb,mail:email,factura:fact2,formapago:fpag2,invitado:inv,infoad:infad}, function(data){
                 $("#prueba").html(data);
				 });
				}
			 if(val2=="TRANSFERENCIA")
                {
				 $.post("enviainfo.php", { fini:fi,ffin:ff,propiedad:prop,clave:clav,monto:mtos,noper:nptot,totpers:vptot,estmto:estos,camaex:camaes,cuna:cuns,mascota:mktas,subtotal:sbtmx,deposito:deposmx,iva:ivamx,total:totmx,informacion:datos,tipopago:val2,ubicacion:ub2,nombre:nomb,mail:email,factura:fact2,formapago:fpag2,invitado:inv,infoad:infad}, function(data){
                 $("#prueba").html(data);
				 });
				}
             if(val2=="CHEQUE")
                {
				 $.post("enviainfo.php", { fini:fi,ffin:ff,propiedad:prop,clave:clav,monto:mtos,noper:nptot,totpers:vptot,estmto:estos,camaex:camaes,cuna:cuns,mascota:mktas,subtotal:sbtmx,deposito:deposmx,iva:ivamx,total:totmx,informacion:datos,tipopago:val2,ubicacion:ub2,nombre:nomb,mail:email,factura:fact2,formapago:fpag2,invitado:inv,infoad:infad}, function(data){
                 $("#prueba").html(data);
				 });
				}			
            }
		if(fact2=="SIN FACTURA")
	        {
			   vptot=vpeex.value;
			   mtos=mto.value;
               estos=esto.value;
               camaes=camae.value;
               deposmx=depos.value;
               cuns=cun.value;
               mktas=mkta.value;
		     if(val2=="DEPOSITO")
			    { 
				 datos="<table align='center' style='font-size:11px;'><tr><td align='center'>José Alberto Ávila</td></tr><tr><td align='center'>BANCO HSBC</td></tr><tr><td align='center'>4021249569</td></tr></table>";
			     $.post("enviainfo.php", { fini:fi,ffin:ff,propiedad:prop,clave:clav,monto:mtos,noper:nptot,totpers:vptot,estmto:estos,camaex:camaes,cuna:cuns,mascota:mktas,subtotal:sbtusd,deposito:deposusd,iva:ivausd,total:totusd,informacion:datos,tipopago:val2,ubicacion:ub2,nombre:nomb,mail:email,factura:fact2,formapago:fpag2,invitado:inv,infoad:infad}, function(data){
                 $("#prueba").html(data);
				 });
			    }
				if(val2=="TRANSFERENCIA")
			    { 
				 datos="<table align='center' style='font-size:11px;'><tr><td align='center'>Monik María Rosales Morfin</td></tr><tr><td align='center'>IXE Banco</td></tr><tr><td align='center'>Clave Interbancaria: 0321 8000 01 12816698</td></tr></table>";
			     $.post("enviainfo.php", { fini:fi,ffin:ff,propiedad:prop,clave:clav,monto:mtos,noper:nptot,totpers:vptot,estmto:estos,camaex:camaes,cuna:cuns,mascota:mktas,subtotal:sbtusd,deposito:deposusd,iva:ivausd,total:totusd,informacion:datos,tipopago:val2,ubicacion:ub2,nombre:nomb ,mail:email,factura:fact2,formapago:fpag2,invitado:inv,infoad:infad}, function(data){
                 $("#prueba").html(data);
				 });
			    }
				if(val2=="CHEQUE")
			    { 
				 datos="<table align='center' style='font-size:11px;'><tr><td align='center'>Moras Suites</td><td>(Dulce Maria Avila Sanchez)</td></tr><tr><td align='center'>Casa Tistik</td><td>(Dulce Maria Avila Sanchez)</td></tr><tr><td align='center'>Casa Caracol</td><td>(Monik María Rosales Morfin)</td></tr><tr><td>Torre Sagredo</td><td>(Monik María Rosales Morfin)</td></tr><tr><td>TorrePeriferico</td><td>(José Alberto Ávila Sanchez)</td></tr></table>";
			     $.post("enviainfo.php", { fini:fi,ffin:ff,propiedad:prop,clave:clav,monto:mtos,noper:nptot,totpers:vptot,estmto:estos,camaex:camaes,cuna:cuns,mascota:mktas,subtotal:sbtusd,deposito:deposusd,iva:ivausd,total:totusd,informacion:datos,tipopago:val2,ubicacion:ub2,nombre:nomb,mail:email,factura:fact2,formapago:fpag2,invitado:inv,infoad:infad}, function(data){
                 $("#prueba").html(data);
				 });
			    }
            }
            			
    }
	
	if(ub2=="AMERICA" && fpag2=="PAYPAL")
    {
	  vptot=vpeex.value;
	  mtos=mto.value;
      estos=esto.value;
      camaes=camae.value;
      deposmx=depos.value;
      cuns=cun.value;
      mktas=mkta.value;
	  datos="";
	  $.post("enviainfo.php", {fini:fi,ffin:ff,propiedad:prop,clave:clav,monto:mtos,noper:nptot,totpers:vptot,estmto:estos,camaex:camaes,cuna:cuns,mascota:mktas,subtotal:sbtusd,deposito:deposusd,iva:ivausd,total:totusd,informacion:datos,ubicacion:ub2,nombre:nomb,mail:email,formapago:fpag2,infoad:infad}, function(data){
      $("#prueba").html(data);
	  });  
	}
	if(ub2=="AMERICA" && fpag2=="MERRIL LYNCH")
    {
	  vptot=vpeex.value;
	  mtos=mto.value;
      estos=esto.value;
      camaes=camae.value;
      deposmx=depos.value;
      cuns=cun.value;
      mktas=mkta.value;
	  datos="";
	  $.post("enviainfo.php", {fini:fi,ffin:ff,propiedad:prop,clave:clav,monto:mtos,noper:nptot,totpers:vptot,estmto:estos,camaex:camaes,cuna:cuns,mascota:mktas,subtotal:sbtusd,deposito:deposusd,iva:ivausd,total:totusd,informacion:datos,ubicacion:ub2,nombre:nomb,mail:email,formapago:fpag2,infoad:infad}, function(data){
      $("#prueba").html(data);
	  });  
	}
	if(ub2=="MEXICO" && fpag2=="PAYPAL")
    {
	  vptot=vpeex.value;
	  mtos=mto.value;
      estos=esto.value;
      camaes=camae.value;
      deposmx=depos.value;
      cuns=cun.value;
      mktas=mkta.value;
	  datos="";
	  $.post("enviainfo.php", {fini:fi,ffin:ff,propiedad:prop,clave:clav,monto:mtos,noper:nptot,totpers:vptot,estmto:estos,camaex:camaes,cuna:cuns,mascota:mktas,subtotal:sbtusd,deposito:deposusd,iva:ivausd,total:totusd,informacion:datos,ubicacion:ub2,nombre:nomb,mail:email,formapago:fpag2,invitado:inv,infoad:infad}, function(data){
      $("#prueba").html(data);
	  });  
	}
	if(ub2=="EUROPARESTOMUNDO" && fpag2=="PAYPAL / CUENTA SUIZA")
    {
	  vptot=vpeex.value;
	  mtos=mto.value;
      estos=esto.value;
      camaes=camae.value;
      deposmx=depos.value;
      cuns=cun.value;
      mktas=mkta.value;
	  datos="";
	  $.post("enviainfo.php", {fini:fi,ffin:ff,propiedad:prop,clave:clav,monto:mtos,noper:nptot,totpers:vptot,estmto:estos,camaex:camaes,cuna:cuns,mascota:mktas,subtotal:sbtusd,deposito:deposusd,iva:ivausd,total:totusd,informacion:datos,ubicacion:ub2,nombre:nomb,mail:email,formapago:fpag2,invitado:inv,infoad:infad}, function(data){
      $("#prueba").html(data);
	  });  
	}
  }else{alert("No has seleccionado un departamento");}
}
var cont=1;
var ant=0;
var ant2=0;
var x=1;
function calculatotal()
{
var tipomoneda=document.forma.tipomoneda.value;
var idmto=document.forma.idmto;
var chkest=document.forma.estmnto;
var chkcam=document.forma.camaex;
var chkcun=document.forma.cuna;
var chkmas=document.forma.mascota;
var chkinv=document.forma.invitado;
var años=document.forma.noanios.value; 
var meses=document.forma.nomeses.value;
var semanas=document.forma.nosem.value;
var dias=document.forma.nodias.value;
var npers=document.forma.npers.value;
var mto=document.forma.monto;
var vpeex=document.forma.persext;
var esto=document.forma.estmnto2; 
var camae=document.forma.camaex2;
var cun=document.forma.cuna2;
var mkta=document.forma.mascota2;
var depos=document.forma.deposito;
var sbt=document.forma.subtotal2;
var iva=document.forma.iva2;
var vtot=document.forma.total2;
var desc=document.forma.descuento;
var pextca=document.forma.perextcama;
var capa=document.forma.cap.value;
var limi=document.forma.lim.value;
var dolar=document.forma.dolar.value;
//precios por persona
var pexnoch=5;
var pexsem=35;
var pexmes=30;
var totpeex=0;
//precios estacionamiento
var estnoch=10;
var estsem=50;
var estmes=100;
var totest=0;
//precios cama extra
var camanoch=20;
var camasem=100;
var camames=200;
var totcamex=0;
//precio cuna
var precuna=5;
var totcuna=0;
//precio mascota
var masnoche=20;
var massem=30;
var masmes=200;
var totmasc=0;
// precios por persona con cama
var percnoch=20;
var percsem=100;
var percmes=200;
var totpeca=0;
var cero=0;
if(tipomoneda=="MXN")
{
//precios por persona
var pexnoch=pexnoch*dolar;
var pexsem=pexsem*dolar;
var pexmes=pexmes*dolar;
//precios estacionamiento
var estnoch=estnoch*dolar;
var estsem=estsem*dolar;
var estmes=estmes*dolar;
//precios cama extra
var camanoch=camanoch*dolar;
var camasem=camasem*dolar;
var camames=camames*dolar;
var totcamex=totcamex*dolar;
//precio cuna
var precuna=precuna*dolar;
//precio mascota
var masnoche=masnoche*dolar;
var massem=massem*dolar;
var masmes=masmes*dolar;
// precios por persona con cama
var percnoch=percnoch*dolar;
var percsem=percsem*dolar;
var percmes=percmes*dolar;
}
if(npers>0)
{
nreal=npers-capa;
cospex1=años*(pexmes*12);
cospex2=meses*pexmes;
cospex3=semanas*pexsem;
cospex4=dias*pexnoch;
totpeex=(cospex1+cospex2+cospex3+cospex4)*nreal;
if(chkinv.checked==1)
{
totpeex=totpeex*0.5;
}
re=(mto.value*1)+totpeca+totpeex+totest+totcamex+totcuna+totmasc;
sbt.value=re.toFixed(2);
re=(depos.value*1)+(sbt.value*1)+(iva.value*1);
vtot.value=re.toFixed(2);
vpeex.value=totpeex.toFixed(2);
document.getElementById('huespedes').style.display='none';
}

if(chkinv.checked==1 && idmto.value==0)
{
mto.value=mto.value*0.5;
depos.value=depos.value*0.5;
idmto.value=1;
}

if(npers!="" && chkcam.checked==0)
{
	if(npers>capa && npers<=limi)
	{
	nreal=npers-capa;
	cospex1=años*(pexmes*12);
	cospex2=meses*pexmes;
	cospex3=semanas*pexsem;
	cospex4=dias*pexnoch;
	totpeex=(cospex1+cospex2+cospex3+cospex4)*nreal;
	if(chkinv.checked==1)
	{
	totpeex=totpeex*0.5;
	}
	re=(mto.value*1)+totpeca+totpeex+totest+totcamex+totcuna+totmasc;
    sbt.value=re.toFixed(2);
    re=(depos.value*1)+(sbt.value*1)+(iva.value*1);
    vtot.value=re.toFixed(2);
    vpeex.value=totpeex.toFixed(2);
	}
	if(npers<=capa)
	{
	nreal=0;
	cospex1=años*(pexmes*12);
	cospex2=meses*pexmes;
	cospex3=semanas*pexsem;
	cospex4=dias*pexnoch;
	totpeex=(cospex1+cospex2+cospex3+cospex4)*nreal;
	if(chkinv.checked==1)
	{
	totpeex=totpeex*0.5;
	}
	re=(mto.value*1)+totpeca+totpeex+totest+totcamex+totcuna+totmasc;
    sbt.value=re.toFixed(2);
    re=(depos.value*1)+(sbt.value*1)+(iva.value*1);
    vtot.value=re.toFixed(2);
    vpeex.value=totpeex.toFixed(2);
	document.getElementById('huespedes').style.display='none';
	}	
}
else if(chkcam.checked==1 && (npers=="" || npers<=capa))
{ 
    pextca.value=cero.toFixed(2);
	camex1=años*(camames*12);
	camex2=meses*camames;
	camex3=semanas*camasem;
	camex4=dias*camanoch;	
	totcamex=camex1+camex2+camex3+camex4;
	if(chkinv.checked==1)
	{
	totcamex=totcamex*0.5;
	}
	re=(mto.value*1)+totpeca+totpeex+totest+totcamex+totcuna+totmasc;
    sbt.value=re.toFixed(2);
    re=(depos.value*1)+(sbt.value*1)+(iva.value*1);
    vtot.value=re.toFixed(2);
	camae.value=totcamex.toFixed(2);
}
else if(npers!="" && chkcam.checked==1)
{
	vpeex.value=0;
    camae.value=0;
	
	if(npers>limi)
	{
	pextca.value=cero.toFixed(2);
	//npers.value='';
	document.getElementById('huespedes').style.display='none';
	}
	else
	{
	
    nreal=npers-capa;
	
    peca1=años*(percmes*12);
	peca2=meses*percmes;
	peca3=semanas*percsem;
	peca4=dias*percnoch;
	
	totpeca=(peca1+peca2+peca3+peca4)*nreal;
	if(chkinv.checked==1)
	{
	totpeca=totpeca*0.5;
	}
    re=(mto.value*1)+totpeca+totpeex+totest+totcamex+totcuna+totmasc;
    sbt.value=re.toFixed(2);
    re=(depos.value*1)+(sbt.value*1)+(iva.value*1);
    vtot.value=re.toFixed(2);
	pextca.value=totpeca.toFixed(2);
	}
}

if(npers=="")
{
nreal=0;
pextca.value=0;
cospex1=años*(pexmes*12);
cospex2=meses*pexmes;
cospex3=semanas*pexsem;
cospex4=dias*pexnoch;
totpeex=(cospex1+cospex2+cospex3+cospex4)*nreal;
if(chkinv.checked==1)
{
totpeex=totpeex*0.5;
}
re=(mto.value*1)+totpeca+totpeex+totest+totcamex+totcuna+totmasc;
sbt.value=re.toFixed(2);
re=(depos.value*1)+(sbt.value*1)+(iva.value*1);
vtot.value=re.toFixed(2);
vpeex.value=totpeex.toFixed(2);
document.getElementById('huespedes').style.display='none';
}

if(chkest.checked==1)
{
cost1=años*(estmes*12);
cost2=meses*estmes;
cost3=semanas*estsem;
cost4=dias*estnoch;	
totest=cost1+cost2+cost3+cost4;
if(chkinv.checked==1)
{
totest=totest*0.5;
}
re=(mto.value*1)+totpeca+totpeex+totest+totcamex+totcuna+totmasc;
sbt.value=re.toFixed(2);
re=(depos.value*1)+(sbt.value*1)+(iva.value*1);
vtot.value=re.toFixed(2);
esto.value=totest.toFixed(2);
}

if(chkcun.checked==1)
{
nochanual=(años*12)*28;
nochmes=meses*28;
tsem=semanas*7;
tnoches=nochanual+nochmes+tsem+parseInt(dias);
totcuna=tnoches*precuna;
if(chkinv.checked==1)
{
totcuna=totcuna*0.5;
}
re=(mto.value*1)+totpeca+totpeex+totest+totcamex+totcuna+totmasc;
sbt.value=re.toFixed(2);
re=(depos.value*1)+(sbt.value*1)+(iva.value*1);
vtot.value=re.toFixed(2);
cun.value=totcuna.toFixed(2);
}

if(chkmas.checked==1)
{
masc1=años*(masmes*12);
masc2=meses*masmes;
masc3=semanas*massem;
masc4=dias*masnoche;	
totmasc=masc1+masc2+masc3+masc4;
if(chkinv.checked==1)
{
totmasc=totmasc*0.5;
}
re=(mto.value*1)+totpeca+totpeex+totest+totcamex+totcuna+totmasc;
sbt.value=re.toFixed(2);
re=(depos.value*1)+(sbt.value*1)+(iva.value*1);
vtot.value=re.toFixed(2);
mkta.value=totmasc.toFixed(2);
}
if(depos.value==0){
  d=100;
  de=(ant2*100)/d;
  depos.value=de.toFixed(2);
  ant=desc.value;
  de=depos.value-((depos.value)*((desc.value*1)/100));
  depos.value=de.toFixed(2);
  cont=0;
}
if(desc.value=="" || desc.value==0)
 {
  if(cont==1){
  d=100;
  de=(ant2*100)/d;
  depos.value=de.toFixed(2);
  ant=0;
  cont=0;
  }
 }
 else
 {
  if(x==1){ant2=depos.value;x=0;}
  if(ant==100){}
  else{
  d=100-ant;
  de=(depos.value*100)/d;
  depos.value=de.toFixed(2);
  de=depos.value-((depos.value)*((desc.value*1)/100));
  depos.value=de.toFixed(2);
  ant=desc.value;
  cont=1;
  }
  sb=sbt.value-((sbt.value)*((desc.value*1)/100));
  sbt.value=sb.toFixed(2);
  sumtot=(sbt.value*1)+(depos.value*1);
  vtot.value=sumtot.toFixed(2);
 }
}

function limpiasub()
{
var idmto=document.forma.idmto;
var chkest=document.forma.estmnto;
var chkcam=document.forma.camaex;
var chkcun=document.forma.cuna;
var chkmas=document.forma.mascota;
var chkinv=document.forma.invitado;
var años=document.forma.noanios.value; 
var meses=document.forma.nomeses.value;
var semanas=document.forma.nosem.value;
var dias=document.forma.nodias.value;
var mto=document.forma.monto;
var vpeex=document.forma.persext;
var esto=document.forma.estmnto2; 
var camae=document.forma.camaex2;
var cun=document.forma.cuna2;
var mkta=document.forma.mascota2;
var depos=document.forma.deposito;
var sbt=document.forma.subtotal2;
var iva=document.forma.iva2;
var vtot=document.forma.total2;
var pextca=document.forma.perextcama;

//precios estacionamiento
var estnoch=10;
var estsem=50;
var estmes=100;
var totest=0;
//precios cama extra
var camanoch=20;
var camasem=100;
var camames=200;
var totcamex=0;
//precio cuna
var precuna=5;
var totcuna=0;
//precio mascota
var masnoche=20;
var massem=50;
var masmes=200;
var totmasc=0;
// precios por persona con cama
var percnoch=20;
var percsem=100;
var percmes=200;
var totpeca=0;
var cero=0;
if(chkinv.checked==0 && idmto.value==1)
{
re=mto.value*2;
mto.value=re.toFixed(2);
re=depos.value*2;
depos.value=re.toFixed(2);
re=vpeex.value*2;
vpeex.value=re.toFixed(2);
re=esto.value*2;
esto.value=re.toFixed(2);
re=camae.value*2;
camae.value=re.toFixed(2);
re=cun.value*2;
cun.value=re.toFixed(2);
re=mkta.value*2;
mkta.value=re.toFixed(2);
re=pextca.value*2;
pextca.value=re.toFixed(2);
re=(mto.value*1)+(vpeex.value*1)+(esto.value*1)+(camae.value*1)+(cun.value*1)+(mkta.value*1)+(pextca.value*1);
sbt.value=re.toFixed(2);
idmto.value=0;
}

if(chkest.checked==0)
{
re=(sbt.value*1)-(esto.value*1);
sbt.value=re.toFixed(2);
re=(vtot.value*1)-(esto.value*1);
vtot.value=re.toFixed(2);
esto.value=cero.toFixed(2);
re=((depos.value*1)+(sbt.value*1)+(iva.value*1))*0.5;
vtot.value=re.toFixed(2);
}

if(chkcam.checked==0)
{		
re=(sbt.value*1)-(camae.value*1);
sbt.value=re.toFixed(2);
re=(vtot.value*1)-(camae.value*1);
vtot.value=re.toFixed(2);
camae.value=cero.toFixed(2);
pextca.value=cero.toFixed(2);
re=((depos.value*1)+(sbt.value*1)+(iva.value*1))*0.5;
vtot.value=re.toFixed(2);
}

if(chkcam.checked==0 && npers.value=="")
{		
re=(sbt.value*1)-(pextca.value*1);
sbt.value=re.toFixed(2);
re=(vtot.value*1)-(pextca.value*1);
vtot.value=re.toFixed(2);
pextca.value=cero.toFixed(2);
re=((depos.value*1)+(sbt.value*1)+(iva.value*1))*0.5;
vtot.value=re.toFixed(2);
}

if(chkcun.checked==0)
{
re=(sbt.value*1)-(cun.value*1);
sbt.value=re.toFixed(2);
re=(vtot.value*1)-(cun.value*1);
vtot.value=re.toFixed(2);
cun.value=cero.toFixed(2);
re=((depos.value*1)+(sbt.value*1)+(iva.value*1))*0.5;
vtot.value=re.toFixed(2);
}

if(chkmas.checked==0)
{
re=(sbt.value*1)-(mkta.value*1);
sbt.value=re.toFixed(2);
re=(vtot.value*1)-(mkta.value*1);
vtot.value=re.toFixed(2);
mkta.value=cero.toFixed(2);
re=((depos.value*1)+(sbt.value*1)+(iva.value*1))*0.5;
vtot.value=re.toFixed(2);
}

if(chkinv.checked==0)
{
re=((depos.value*1)+(sbt.value*1)+(iva.value*1))*0.5;
vtot.value=re.toFixed(2);
} 
}


//INICIA FUNCION PARA VALIDAR ANTES DE ENVIAR
function validalo()
{
if(document.forma.ap.value==""){alert("El apellido paterno es un dato nescesario"); document.forma.ap.focus();return false;}
if(document.forma.nombre.value==""){alert("El nombre es un dato nescesario"); document.forma.nombre.focus();return false;}
if(document.forma.paises.value=="0"){alert("Seleccione un país"); document.forma.paises.focus();return false;} 
if(document.forma.estados.value=="0"){alert("Seleccione un estado"); document.forma.estados.focus();return false;} 
if(document.forma.mail.value==""){alert("El correo electronico es un dato nescesario"); document.forma.mail.focus();return false;}
if(document.forma.edad.value==""){alert("La edad es un dato nescesario"); document.forma.edad.focus(); return false;}
if(document.forma.motviaje.value==""){alert("Seleccione un motivo de viaje"); document.forma.motviaje.focus();return false;}
if(document.forma.gerente.value==""){alert("Seleccione un Gerente"); document.forma.gerente.focus();return false;}
/*if(document.forma.depto.value==""){alert("Seleccione un Coordinador"); document.forma.depto.focus();return false;}
if(document.forma.depto2.value==""){alert("Seleccione un Ejecutivo"); document.forma.depto2.focus();return false;}*/
if(document.forma.combo.value==""){alert("Seleccione si califica o no"); document.forma.combo.focus();return false;}
if(document.forma.combo.value=="NQ" && document.forma.mncal.value==""){alert("Seleccione un motivo por el cual no califica"); document.forma.mncal.focus();return false;}
if(document.forma.combo.value=="Q" && document.forma.comfr.value==""){alert("Seleccione un plazo de renta"); document.forma.comfr.focus(); return false;}
if(document.forma.combo.value=="Q" && document.forma.comfr.value=="NI" && document.forma.nic.value==""){alert("Seleccione un motivo por el cual no le interesa"); document.forma.nic.focus(); return false;}
if(document.forma.combo.value=="Q" && document.forma.comfr.value=="CP" && document.forma.monto.value=="0"){alert("Asigne un departamento"); return false;}
if(document.forma.monto.value!="0" && document.forma.npers.value==""){alert("ingrese el número de personas"); return false;}
if(document.forma.monto.value!="0" && document.forma.npers.value>2)
{
var np=document.forma.npers.value;
var nt=parseInt(np)-2;
for(i=1;i<=nt;i++)
{
var apinput=document.getElementById("ap"+i);
var noinput=document.getElementById("fil"+i);
nom="Nombre"+i;
apa="Apellido Paterno"+i; 
if(!document.getElementById("ap1"))
{
alert("Haga click en \"Agregar(+)\"")
return false;
}
if(apinput.value==apa || apinput.value=="")
  {
  alert("Ingrese  apellido paterno del huesped "+i);
  apinput.focus();
  return false;
  }
  if(noinput.value==nom || noinput.value=="")
    {
     alert("Ingrese nombre del huesped"+i);
	 noinput.focus();
	 return false;
	}
  }
}
if(document.forma.ubiact.value==""){alert("Seleccione la Ubicación actual");document.forma.ubiact.focus();return false;}
if(document.forma.formapago.value==""){alert("Seleccione la forma de pago");document.forma.formapago.focus();return false;}
if(document.forma.ubiact.value=="MEXICO" && document.forma.formapago.value=="BANCO"){
  var fc=document.forma.factura;
  var tp=document.forma.tipopago;
  var fta=0;
  var tpg=0;
  for(i=0;i<fc.length;i++)
    {
	 if(fc[i].checked)
	 {
	 fta=1;
     }	 
	}
  for(i=0;i<tp.length;i++)
    {
	 if(tp[i].checked)
	 {
	  tpg=1;
     }	  
	}
  if(fta==0){alert("Indique si requiere factura");return false;}	
  if(tpg==0){alert("Seleccione el tipo de pago");return false;}
 }
 for(i=0;i<idn;i++)
 {
  document.forma["asistio"+i][0].disabled=false;
  document.forma["asistio"+i][1].disabled=false;
 }
}
function validalomod()
{
if(document.forma.ap.value==""){alert("El apellido paterno es un dato nescesario"); document.forma.ap.focus();return false;}
if(document.forma.nombre.value==""){alert("El nombre es un dato nescesario"); document.forma.nombre.focus();return false;}
//if(document.forma.paises.value=="0"){alert("Seleccione un país"); document.forma.paises.focus();return false;} 
//if(document.forma.estados.value=="0"){alert("Seleccione un estado"); document.forma.estados.focus();return false;} 
//if(document.forma.mail.value==""){alert("El correo electronico es un dato nescesario"); document.forma.mail.focus();return false;}
if(document.forma.edad.value==""){alert("La edad es un dato nescesario"); document.forma.edad.focus(); return false;}
if(document.forma.motviaje.value==""){alert("Seleccione un motivo de viaje"); document.forma.motviaje.focus();return false;}
if(document.forma.gerente.value==""){alert("Seleccione un Gerente"); document.forma.gerente.focus();return false;}
if(document.forma.depto.value==""){alert("Seleccione un Coordinador"); document.forma.depto.focus();return false;}
//if(document.forma.depto2.value==""){alert("Seleccione un Ejecutivo"); document.forma.depto2.focus();return false;}
if(document.forma.combo.value==""){alert("Seleccione si califica o no"); document.forma.combo.focus();return false;}
if(document.forma.combo.value=="NQ" && document.forma.mncal.value==""){alert("Seleccione un motivo por el cual no califica"); document.forma.mncal.focus();return false;}
if(document.forma.combo.value=="Q" && document.forma.comfr.value==""){alert("Seleccione un plazo de renta"); document.forma.comfr.focus(); return false;}
if(document.forma.combo.value=="Q" && document.forma.comfr.value=="NI" && document.forma.nic.value==""){alert("Seleccione un motivo por el cual no le interesa"); document.forma.nic.focus(); return false;}
if(document.forma.combo.value=="Q" && document.forma.comfr.value=="CP" && document.forma.monto.value=="0"){alert("Asigne un departamento"); return false;}
if(document.forma.monto.value!="0" && document.forma.npers.value==""){alert("ingrese el número de personas"); return false;}
if(document.forma.descuento.value > document.forma.descant.value){alerta();return false;}
if(document.forma.monto.value!="0" && document.forma.npers.value>2)
{
var np=document.forma.npers.value;
var nt=parseInt(np)-2;
for(i=1;i<=nt;i++)
{
var apinput=document.getElementById("ap"+i);
var noinput=document.getElementById("fil"+i);
nom="Nombre"+i;
apa="Apellido Paterno"+i; 
if(!document.getElementById("ap1"))
{
alert("Haga click en \"Agregar(+)\"")
return false;
}
if(apinput.value==apa || apinput.value=="")
  {
  alert("Ingrese  apellido paterno del huesped "+i);
  apinput.focus();
  return false;
  }
  if(noinput.value==nom || noinput.value=="")
    {
     alert("Ingrese nombre del huesped"+i);
	 noinput.focus();
	 return false;
	}
  }
}
if(document.forma.ubiact.value==""){alert("Seleccione la Ubicación actual");document.forma.ubiact.focus();return false;}
if(document.forma.formapago.value==""){alert("Seleccione la forma de pago");document.forma.formapago.focus();return false;}
if(document.forma.ubiact.value=="MEXICO" && document.forma.formapago.value=="BANCO"){
  var fc=document.forma.factura;
  var tp=document.forma.tipopago;
  var fta=0;
  var tpg=0;
  for(i=0;i<fc.length;i++)
    {
	 if(fc[i].checked)
	 {
	 fta=1;
     }	 
	}
  for(i=0;i<tp.length;i++)
    {
	 if(tp[i].checked)
	 {
	  tpg=1;
     }	  
	}
  if(fta==0){alert("Indique si requiere factura");return false;}	
  if(tpg==0){alert("Seleccione el tipo de pago");return false;}
 }
 for(i=0;i<idn;i++)
 {
  document.forma["asistio"+i][0].disabled=false;
  document.forma["asistio"+i][1].disabled=false;
 }
}
function chuesp(idr,idc){
$.post("cargahuesped.php", { idrenta: idr, idcliente: idc}, function(data){
	 $("#prueba").html(data);
	 });
}
function alerta()
{
var desc=document.forma.descuento;
var vtot=document.forma.total2;
var depos=document.forma.deposito;
var sbt=document.forma.subtotal2;
var no=document.forma.nombre.value;
var ap=document.forma.ap.value;
var am=document.forma.am.value; 
var ger=document.forma.gerente.value;
var cor=document.forma.depto.value;
var eje=document.forma.depto2.value;
var tipomoneda=document.forma.tipomoneda.value;
var fi=document.forma.fin.value; 
var ff=document.forma.ffi.value;
var prop=document.forma.deparprop.value;
var clav=document.forma.clavedep.value;
nombre=no+" "+ap+" "+am;
var div =document.getElementById('bkmsg');
 div.style.display="";
 ele=document.createElement('div');
 ele.name="cajamsg";
 ele.id="cajamsg";
 ele2=document.createElement('div');
 ele2.name="res";
 ele2.id="res";
 div.appendChild(ele);
 div2=document.getElementById('cajamsg');
 if(!div2.className) {
		div2.className = "cajamsg";
	} else {
		newClassName = div2.className;
		newClassName+= " ";
		newClassName+= "cajamsg";
		div2.className = newClassName;
	}
 dep=(depos.value*100)/(100-(desc.value*1));
 dep=dep.toFixed(2); 
 sb=(sbt.value*100)/(100-(desc.value*1));
 sb=sb.toFixed(2);
 vt= (dep*1)+ (sb*1);
 vtt=vt.toFixed(2);
 div2.innerHTML="<div style='margin-left:593px;margin-top:-7px'><a href='javascript:closea();'><img src='images/close.gif'/></a></div><table style='width:500px;margin-left:45px;font-size:14px;'><tr><td colspan='2'><b>Has ingresado un descuento del "+desc.value+"% que debe ser autorizado.</b></td></tr><tr><td width='150'>Nombre del Cliente:</td><td><b>"+nombre+"</b></td></tr><tr><td colspan='2'>Motivo del descuento:</td></tr><tr><td colspan='2'><textarea style='width:500px;height:100px;max-width:500px;max-height:100px;resize: none;' id='motivo' name='motivo'></textarea></td></tr><tr><td  colspan='2'>Datos de la renta</td></tr><tr><td colspan='2'><b>"+prop+" "+clav+"</b> de <b>"+fi+"</b> a <b>"+ff+"</td></tr><tr><td colspan='2'><table width='100%' style='font-size:13px;'><tr><td><table  width='100%' style='border-right:solid 1px;font-size:13px;'><tr><td colspan='2'>Prospección</td></tr><tr><td>Gerente:</td><td id='ger'></td></tr><tr><td>Coordinador</td><td id='cor'></td></tr><tr><td>Ejecutivo:</td><td id='eje'></td></tr></table></td><td><table width='100%' style='font-size:13px;'><tr><td colspan='2'>Tarifas</td></tr><tr><td>Tarifa que aplica:</td><td align='right'><b>"+vtt+" "+tipomoneda+"</b></td></tr><tr><td>Descuento Solicitado:</td><td align='right'><b>"+desc.value+"%</b></td></tr><tr><td>Tarifa final:</td><td align='right'><b>"+vtot.value+" "+tipomoneda+"</b></td></tr></table></td></tr></table></td></tr><tr><table style='width:500px;margin-left:45px;font-size:15px;'><tr><td><div class='enviar' align='center' onclick='javascript:alertac();'>enviar</div></td></tr></table></tr></table>";
$.post("buscaemp.php", { id: ger}, function(data){td=document.getElementById('ger'); td.innerHTML="<b>"+data+"</b>";});
$.post("buscaemp.php", { id: cor}, function(data){td=document.getElementById('cor'); td.innerHTML="<b>"+data+"</b>";});
$.post("buscaemp.php", { id: eje}, function(data){td=document.getElementById('eje'); td.innerHTML="<b>"+data+"</b>";});
} 
function alertac()
{
var idcl=document.forma.id_cliente.value;
var idrn=document.forma.id_renta.value;
var desc=document.forma.descuento.value;
var mot = document.getElementById('motivo');
        moti=mot.value;
		if(moti=="")
		{
		 alert("ingresa el motivo de descuento");
		 mot.focus();
		}
		else{
		$.post("mailautoriza.php", { idc: idcl, idr: idrn,motivo:moti,descuento:desc}, function(data){
	    $("#res").html(data);
	    });
        var div = document.getElementById('bkmsg');
        div.style.display="none";
		var d=document.forma.descuento.value;
		document.forma.descant.value=d;
		var nom = document.forma.nombre.value;
		document.forma.submit();
		}
}
function closea()
{
 var desc = document.forma.descuento;
 var div = document.getElementById('bkmsg');
 div.style.display="none";
}